Bug 801865 - Review Request: jboss-transaction-spi - JBoss Transaction SPI
Review Request: jboss-transaction-spi - JBoss Transaction SPI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 730227 801614
Blocks: 802182
  Show dependency treegraph
 
Reported: 2012-03-09 12:06 EST by Ricardo Arguello
Modified: 2012-04-11 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-transaction-spi-7.0.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Marek Goldmann 2012-03-09 12:25:57 EST
Please bump package to 7.0.0.Final.

As a note - always check if there is a newer or more stable version upstream.
Comment 3 Marek Goldmann 2012-03-11 08:32:48 EDT
I'll take it.
Comment 4 Marek Goldmann 2012-03-11 08:46:21 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/jboss-transaction-spi.spec 
SPECS/jboss-transaction-spi.spec: W: invalid-url Source0: jboss-transaction-spi-7.0.0.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint SRPMS/jboss-transaction-spi-7.0.0-1.fc17.src.rpm 
jboss-transaction-spi.src: I: enchant-dictionary-not-found en_US
jboss-transaction-spi.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-transaction-spi.src: W: invalid-url Source0: jboss-transaction-spi-7.0.0.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[X]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : cb0b576ff66bad399f0f5145f61a8edc
MD5SUM upstream package: 69afeca29e41f9ad8c014c502d8231e3

SVN export.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[!]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment

See #1.

[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

Locally, builds fine with dependent packages available.

=== Issues ===
1. Please remove "-Dmaven.test.skip=true". Although there are no test, there is no reason to skip them :)
2. Please remove "7.0.0" from the Summary field and rename this bug report too.
Comment 6 Marek Goldmann 2012-03-12 03:53:08 EDT
Ricardo, you bumped the release but forgot to add a changelog entry, please fix that at the time of importing the package.

================
*** APPROVED ***
================
Comment 7 Ricardo Arguello 2012-03-12 12:05:13 EDT
New Package SCM Request
=======================
Package Name: jboss-transaction-spi
Short Description: JBoss Transaction SPI
Owners: ricardo
Branches: f17
InitialCC: goldmann
Comment 8 Gwyn Ciesla 2012-03-12 12:26:13 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-03-13 00:37:48 EDT
jboss-transaction-spi-7.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-transaction-spi-7.0.0-2.fc17
Comment 10 Fedora Update System 2012-03-13 13:09:59 EDT
jboss-transaction-spi-7.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-04-11 23:03:46 EDT
jboss-transaction-spi-7.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.